MCP Tools Reference: developerknowledge.googleapis.com

도구: get_documents

이 도구를 사용하여 단일 문서의 전체 콘텐츠를 검색하거나 한 번의 호출로 최대 20개의 문서를 검색할 수 있습니다. 문서 이름은 search_documents 도구 호출 결과의 parent 필드 또는 answer_query 도구에서 반환된 references 필드에서 가져와야 합니다. names 파라미터를 문서 이름 목록 (documents/...)으로 설정하고 최종 대답에 사용된 공신력 있는 소스 문서를 인용합니다.

다음 코드 샘플은 curl를 사용하여 get_documents MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_documents",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

입력 스키마

get_documents의 요청 스키마입니다.

GetDocumentsRequest

JSON 표현
{
  "names": [
    string
  ]
}
필드
names[]

string

필수 항목입니다. search_documents 결과의 parent 필드 또는 answer_query의 references 필드에서 반환된 검색할 문서의 이름입니다. 한 번의 호출로 최대 20개의 문서를 가져올 수 있습니다. 문서는 요청의 names와 동일한 순서로 반환됩니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

출력 스키마

get_documents의 응답 스키마입니다.

GetDocumentsResponse

JSON 표현
{
  "documents": [
    {
      object (Document)
    }
  ]
}
필드
documents[]

object (Document)

서류를 요청했습니다.

문서

JSON 표현
{
  "name": string,
  "uri": string,
  "content": string,
  "description": string,
  "title": string
}
필드
name

string

식별자. 문서의 리소스 이름입니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

uri

string

출력 전용입니다. 콘텐츠의 URI입니다(예: https://cloud.google.com/storage/docs/creating-buckets).

content

string

출력 전용입니다. 문서의 콘텐츠(마크다운 형식)입니다.

description

string

출력 전용입니다. 문서에 대한 설명입니다.

title

string

출력 전용입니다. 문서 제목입니다.

도구 주석

도구 주석은 MCP 클라이언트에 전송되어 특정 도구의 기본 위험을 설명합니다. 대부분의 클라이언트는 이러한 힌트를 신뢰할 수 없는 것으로 취급하지만, 확인 메시지를 사용자에게 보낼 시기를 결정하는 데 사용할 수 있습니다.

제목 문자열과 함께 다음 불리언 힌트가 정의됩니다.

  • readOnlyHint: true인 경우 도구가 환경을 수정하지 않습니다. 기본값: false.
  • destructiveHint: true인 경우 도구에서 파괴적인 작업을 수행할 수 있습니다. false이면 도구는 추가 작업만 수행할 수 있습니다. 기본값은 true입니다.
  • idempotentHint: true인 경우 동일한 인수로 도구를 반복적으로 호출해도 환경에 추가적인 영향을 미치지 않습니다. 기본값: false.
  • openWorldHint: true인 경우 도구는 외부 항목의 '오픈 월드'와 상호작용할 수 있습니다. false이면 도구는 내부 항목과만 상호작용할 수 있습니다. 예를 들어 웹 검색 도구는 오픈 월드이지만 메모리 도구는 오픈 월드가 아닙니다.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌